import ReadableStream from '../types/microphone-stream';
declare class Connection {
    connection: WebSocket;
    url: string;
    of(url: string): this;
    get $value(): WebSocket;
    map(f: (s: string) => string): this;
}
declare class MicStream {
    stream: MediaStream;
    micStream: ReadableStream;
    of(stream: MediaStream): this;
    get $value(): ReadableStream;
    map(f: (s: MediaStream) => MediaStream): this;
}
declare const connectionInstance: Connection;
declare const streamInstance: MicStream;
export { Connection, MicStream, connectionInstance, streamInstance };
